%   v1.0 # 8-may-2020 
%   # SPCOMNAV-UAB #
%---------------------------------------------------------------------------------------------------- 
%-      Get Multi-User Interference
%
function    [MUI,MUIt]  =   getMUI_tmp(Ck,ck_dc,ck_dc2,Nvis)
%--     INPUTS
%
%       X       =   xx;
%
%--     OUTPUT
%
%     Y:            yy 
%
%--


    M           =   size(ck_dc,1);
    N           =   size(ck_dc,2);
    idx         =   randi(M,Nvis,1);
    idx1        =   1:Nvis;
    C           =   sum(Ck(idx,:));
    C1          =   sum(Ck(idx1,:));
    %
    
    %
    Ps          =   Nvis*2;
    Pr          =   (C*C')/N;
    Pr1         =   (C1*C1')/N;    
    MUI         =   (Pr/Ps) - 1;
    MUIt        =   (Pr1/Ps) - 1;
    %
    if( isempty(ck_dc2) )
        ck_dc2  =   0;
    end
    
    
    if( 0)
        aa          =   sum(Ck).*ck_dc(1,:) + sum(Ck).*ck_dc2(1,:);
        a1          =   C1.*ck_dc(1,:) + C1.*ck_dc2(1,:);
        a12         =   C1.*ck_dc(Nvis,:) + C1.*ck_dc2(Nvis,:);
        a           =   C.*ck_dc(idx(1),:) + C.*ck_dc2(idx(1),:);
        a2          =   C.*ck_dc(idx(end),:) + C.*ck_dc2(idx(end),:);
        %
        figure;plot(abs(fftshift((1/N)*fft(aa))).^2);
        title('Whole constellation');
        %
        figure;subplot(1,2,1);
        plot(abs(fftshift((1/N)*fft(a1))).^2);
        legend('de-chirp 1');
        title('Mvis consecutive satellites');
        subplot(1,2,2);
        plot(abs(fftshift((1/N)*fft(a12))).^2);
        legend('de-chirp Nvis');
        grid
        %
        figure;subplot(1,2,1);
        plot(abs(fftshift((1/N)*fft(a))).^2);
        title('Mvis random satellites');
        legend('de-chirp 1');
        subplot(1,2,2);
        plot(abs(fftshift((1/N)*fft(a2))).^2);
        legend('de-chirp Nvis');
        grid;
    end
    %
%     for ii = 1:M
%         %   Power
%         Pi      =   (1/N)*(ck_dc(ii,:)*ck_dc(ii,:)');
%         %   Real
% %         tmp     =   ;
%                
%         %   "Single-chirp" (up/down)
%         tmpt    =   0;
%         tmp     =   0;
%         for jj = 1:M
%             if( jj ~= ii ) % TBC for Multi-freq
%                 %
%                 tmpt    =   tmpt + 2*real((ck_dc(jj,:)*ck_dc(ii,:).'));
% %                 tmp     =   tmp + 2*real((Ck(jj,:)*ck_dc(ii,:).'));
%                 %
%             end
%         end
%         Rt(ii)          =   (abs(tmpt))/N;   
% %         R(ii)           =   (abs(tmp))/N; 
%     end
%     %
% %     MUI         =   R; % BOK-chirp
%     MUIt        =   mean(Rt); % Single-chirp


end

