%   v1.0 # 31-may-2020 
%
%   v1.1 # 12-jun-2020 
%
%   v2.0 # 03-oct-2020 
%
%   # SPCOMNAV-UAB #
%---------------------------------------------------------------------------------------------------- 
%-      Find Frequency peaks of the de-chirped signals with MUSIC 
%
function    [SS,f]  = findPeaks_MUSIC(s_dc,s_dcn,B,Nu,Deltaf)


    Nfft        =   ceil(B/Deltaf);
    f0          =   (B/2)*linspace(-1,1-(2/Nfft),Nfft);
    %
    [S,~]       =   pmusic(s_dc,Nu,Nfft,B);
    [Sn,~]      =   pmusic(s_dcn,Nu,Nfft,B);
    S           =   fftshift(S);
    Sn          =   fftshift(Sn);
    %
    [~,idx]     =   findpeaks(S,'Npeaks',Nu);
    [~,idxn]    =   findpeaks(Sn,'Npeaks',Nu);
    fdc         =   f0(idx);
    fdcn        =   f0(idxn);
    %
    %
    SS.S         =   S;
    SS.Sn        =   Sn;
    f.fdc       =   fdc;
    f.fdcn      =   fdcn;
    %
  

end