%   v1.0 # 03-oct-2020 
%
%   v2.0 # 10-jun-2021
%
%   # SPCOMNAV-UAB #
%---------------------------------------------------------------------------------------------------- 
%-      getParamEstimation    %
%
function    [tauh,fDh]  =   getParamEstimation(fdc,fdcn,B,T,mu,fMuser)
% fdc
% fdcn
M               =   size(mu,1);
tauh            =   nan(M,1);
% fDh             =   nan(M,1);
%-      Estimate parameters (tau & fD)
ft                  =   (fdcn - fdc)/2;
%
% idx                 =   ft < -200;
% ft(idx)             =   ft(idx) + B;
% idx                 =   ft == 0;
% ft(idx)             =   NaN;
%
fDh                 =   (fdcn + fdc)/2;
% fDh                 =   mod((fdcn + fdc)/2,B);
%
if( fMuser ~= 2 )    
    ft(ft<0)        =   ft(ft<0) + B;
    tauh            =   ft./(mu); 
else
    if( M > 1 )
        tauh(1)         =   ft(1,1)/(mu(1,1));
        for ii = 2:M
            if( idx(ii,1) == 0 )
                tauh(ii)    =   0.5*sum(ft(ii,:)./(mu(ii,:)));
                if( tauh(ii) < 0 )
                    tauh(ii)    =   0;
                else
                    tauh(ii)    =   0.5*mod(sum(ft(ii,:)./(mu(ii,:))),T);

                end
            else
                tauh(ii)    =   ft(ii,2)/mu(ii,2);
            end
        end    
        idx             =   isnan(tauh);
        tauh(idx)       =   0;
    else
        if( mu(2) == 0 )
            tauh    =   ft(1)/mu(1);
%             if( tauh < 0 )
%                 tauh    =   0;
%             else
%                 tauh    =   ft(1)/mu(1);
% %                 tauh    =   mod(ft(1)/mu(1),T);
%             end
            fDh     =   fDh(1);
        else
            tauh    =   sum(ft./mu)/2;
            if( tauh > T )
                tauh    =   mod(tauh,T);
            end
%             if( tauh < 0 )
%                 tauh    =   0;
%             else
%                 tauh    =   0.5*mod(sum(ft./mu),T);
%             end
            fDh     =   sum(fDh)/2;
        end
        
    end
end
idx                 =   isnan(tauh);
tauh(idx)           =   0;

%