function    BWrms   =   getBWrms(sn,Fs)

    N       =   length(sn);
    Nfft    =   2^(nextpow2(N)+3);
    %
    Sx      =   fftshift(fft(sn,Nfft));
    w       =   2*pi*linspace(-Fs/2,Fs/2,Nfft).';
    %
    num     =   sum((w.^2).*(abs(Sx).^2));
    den     =   sum(abs(Sx).^2);
    BWrms   =   num/den;



end