%
%- Get Multi-User BOK-chirp
%
if fgen
    switch flg.Muser
        case 0 
            Ck      =   out.sig.Ck;    
            ckp     =   out.sig.ckp;
            ck_dc   =   out.dchirp.ck_dc;
            ck_dcn  =   out.dchirp.ck_dcn;
        case 1
            Ck      =   out.MU.Cr;    
            ckp     =   out.sig.Ck;
            ck_dc   =   out.dchirp.ck_dc;
            ck_dcn  =   out.dchirp.ck_dcn;
            %
            %   BOK-chirp power (put in genBOKchirp)
            Psst         =   sum(ckp*ckp')/N;
            Pss         =   repmat(Psst.',1,N);
            %   Power normalization (all users)
            Ckt         =   sqrt(1./(M*Pss)).*ckp;

            %
        case 2
            Ck      =   out.sig.Ck;
            %
            ck_dc1  =   out.dchirp.ck_dc1;
            ck_dc2  =   out.dchirp.ck_dc2;
            ck_dcn1 =   out.dchirp.ck_dcn1;
            ck_dcn2 =   out.dchirp.ck_dcn2;
            %
            dchirp.ck_dc1    =   ck_dc1;
            dchirp.ck_dc2    =   ck_dc2;
            dchirp.ck_dcn1   =   ck_dcn1;
            dchirp.ck_dcn2   =   ck_dcn2;
%             dchirp.fkp      =   out.sig.fkp;
%             dchirp.tau      =   set.tau;
            %
            if flg.fsens
                dchirp.idsat    =   idsat;
            end
        case 3

    end
end
%
%-  Noise parameters
%
k       =   1.38e-23;                   %   Boltzman cte
T0      =   290;                        %   Amb. temperature
N0      =   (k*T0);
Pn      =   ((N0)*B);                     %   (complex) Noise power (W)
%
CN0l    =   10.^(CN0/10);
Ps      =   (Pn/B)*(CN0l);












