function    plotResults_BERLORA(out,sett,flg)
%

    %
    fsens       =   flg.fsens;
    fMUI        =   flg.fMUI;
    if fsens
        CN0     =   sett.sens.CN0;
        if( sett.sens.opt == 2 )
            Tc  =   out.sens.Tcopt.Tc;
        else
            Tc  =   sett.sig.Tc;
        end
    else
        Tc      =   sett.sig.Tc;
        CN0     =   sett.estimation.CN0;
    end
    B       =   sett.sig.B;
    M       =   sett.M;
    Mv      =   sett.Mvis;
    %    
    NB      =   sett.samp.NB;
    Nc      =   length(CN0);
    NTc     =   length(Tc);
    Nm      =   length(M);
    Nv      =   length(Mv);
    %
    for ii = 1:NB
            str{ii}     =   ['B = ' num2str(B(ii)/1e6) ' MHz'];
    end



    Baux = B'.*ones(length(B),length(CN0'));
    SF = log2(Tc.*Baux');
    CN0nor = 10.^(CN0./10);
    CN0nor = CN0nor.*ones(length(CN0'),length(B'));
    SNR = CN0nor./Baux;%CN0nor./(Tc.*Baux');
%     Baux = B.*ones(length(B),length(CN0));
%     SF = log2(Tc.*Baux);
%     CN0nor = 10.^(CN0./10);
%     SNR = CN0nor'./Baux;%CN0nor./(Tc.*Baux');
    Pb = 0.5.*qfunc(1.28.*sqrt(SNR'.*2.^SF)-1.28.*sqrt(SF)+0.4);
    Pb2 = 0.5.*qfunc(sqrt(SNR'.*2.^(SF+1))-1.28*sqrt(1.386.*SF+1.154));
   % BER = 0.5.*qfunc(sqrt(10.^(CN0./10).*2.*2.^SF) - 1.28*sqrt(1.386.*SF+1.154)) ;
    figure;
    plot(CN0,Pb2*100,'LineWidth',2);
    legend(str);
    xlabel('CN0 (dB-Hz)');
    ylabel('BER LoRa (%)');
    title('Probabilidad de error de bit LoRa');
    grid;
    set(gca,'FontSize',12);

%
end