%   v1.0 # 09-may-2020 
%   # SPCOMNAV-UAB #
%---------------------------------------------------------------------------------------------------- 
%-      Plot results      %
%
function    plotResults_MultiUser(out,sett)
    %
    M       =   sett.M;
    Nm      =   length(M);
    %
    MUI     =   zeros(Nm,1);
    MUIt    =   zeros(Nm,1);
    %
    for ii = 1:length(M)
        MUI(ii)     =   mean(out(ii).MUI);
        MUIt(ii)    =   mean(out(ii).MUIt);
    end
    %
    %
    figure;
    plot(M,MUI,'LineWidth',2);
    hold on;plot(M,MUIt,'--','LineWidth',2)
    ylabel('Multi-User Interference (MUI)');
    xlabel('Number of Users');
    legend('BOK MUI','Single-Component MUI');
    title('Mean Multi-User cross-correlation (abs value)');
%     set(gca,'FontSize',12);
    grid;
    
    %
end