% ->    Figure 1
%
for ii = 1:NB
    if ~flg_nc
        str_lgnd{ii}    =   ['B = ' num2str(sett.sig.B(ii)/1e6) ...
                             ' MHz, M = ' num2str(sett.M(1))];
    else
        str_lgnd{ii}    =   ['B = ' num2str(sett.sig.B(ii)/1e6) ...
                             ' MHz, Tcoh = ' num2str(sett.sig.Tc*1e3) ... 
                             'ms M = ' num2str(sett.M(1))];
    end
    %
    if flg_nc
        strt    =   [strc(ii) '--'];
    else
        strt    =   strc(ii);
    end
    figure(105);plot(CN0,Ctc1(ii,:)/1e7,strt,'LineWidth',2);
    hold on;
end
if( length(sett.M) > 1 )
    str_lgnd{ii+1}  =   ['M = ' num2str(sett.M(end))];
    figure(105);
    plot(CN0,Ctc2(1,:)/1e7,[strc(1) '--'],'LineWidth',2);
    h_lgnd  =   legend(str_lgnd);
    set(h_lgnd,'autoupdate','off');
    for ii = 2:NB
       figure(105);
       plot(CN0,Ctc2(ii,:)/1e7,[strc(ii) '--'],'LineWidth',2);           
    end
else
    h_lgnd  =   legend(str_lgnd);
end
grid on;
set(gca,'fontsize',12);
xlabel('CN0 (dB-Hz)');
ylabel('# ops. (x1e7)');
%