


%
ftmp        =   0;
CRLBt       =   getCDMACRLB(sett.sig.B,sett.sig.Tc,sett.estimation.CN0);
if( flg.Muser == 0 )
    figure;plot(sett.estimation.CN0,(3e8)*sqrt(out.SNR.fD.e)/sett.sig.mu,'LineWidth',2);
    hold on;plot(sett.estimation.CN0,(3e8)*sqrt(out.SNR.fD.CRLB)/sett.sig.mu,'--','LineWidth',2);
    plot(sett.estimation.CN0,(3e8)*sqrt(CRLBt),'--','LineWidth',2);
    legend('Single-Chirp (SC)','BOK-Chirp','SC CRLB','CDMA CRLB');
    xlabel('CN0 (dB-Hz)','FontSize',12);
    ylabel('RMSE (m)','FontSize',12);
    set(gca,'FontSize',12)
    grid;
    ylim([0 10]);
else
    str     =   cell(sett.M,1);
    str{sett.M+1}   =   'BOK-Chirp CRLB';
    str{sett.M+2}   =   'CDMA CRLB';
    for ii = 1:sett.M
        str{ii}         =   ['Sat. ' num2str(ii)];
        if( ii == 1 )
            figure;plot(sett.estimation.CN0,(3e8)*sqrt(out.SNR.fD(ii).e)/sett.sig.mu(end),'LineWidth',2);
        else
            hold on;plot(sett.estimation.CN0,(3e8)*sqrt(out.SNR.fD(ii).e)/sett.sig.mu(end),'LineWidth',2);
        end
        RMSEm(:,ii)     =   (3e8)*sqrt(out.SNR.fD(ii).e)/sett.sig.mu(end);
    end
    hold on;plot(sett.estimation.CN0,(3e8)*sqrt(out.SNR.fD(1).CRLB)/sett.sig.mu(end),'--','LineWidth',2);
    plot(sett.estimation.CN0,(3e8)*sqrt(CRLBt),'--','LineWidth',2);
    title('All divided by B/Tc');
    legend(str);
    xlabel('CN0 (dB-Hz)','FontSize',12);
    ylabel('RMSE (m)','FontSize',12);
    set(gca,'FontSize',12)
    grid;
    ylim([0 40]);
    %
    RMSEm       =   mean(RMSEm,2);
    figure;plot(sett.estimation.CN0,RMSEm,'LineWidth',2);
    hold on;plot(sett.estimation.CN0,(3e8)*sqrt(out.SNR.fD(1).CRLB)/sett.sig.mu(end),'--','LineWidth',2);
    plot(sett.estimation.CN0,(3e8)*sqrt(CRLBt),'--','LineWidth',2);
    legend(['Average ' num2str(sett.M) ' (users)'],'BOK-Chirp CRLB','CDMA CRLB');
    xlabel('CN0 (dB-Hz)','FontSize',12);
    ylabel('RMSE (m)','FontSize',12);
    set(gca,'FontSize',12)
    grid;
    ylim([0 40]);
    
    
end