function    fmax    =   findmaxSpect(sn)

    Sn      =   abs(fftshift(fft(sn))).^2;
    [~,fm]  =   max(Sn);
    n       =   0:(length(sn)-1);
    %
    Sf      =   @(f) -sum(sn.*exp(-1j*2*pi*f*n.'));
    fmax    =   fminsearch(@(f) Sf(f),fm);
    
end