clear all;
% close all;
clc;

flgo             =   2;                  %   1: Tcopt, 2: Nncopt
FN              =   {'out_Server_Tc1ms_B5_20MHz_CN042_M50_Mv5.mat', ...
                     'out_Server_Tc2dot5_B5_20MHz_CN040_M50_Mv5.mat'};
dir             =   ''; 

%
dir1            =   pwd;
cd ../Server
switch flgo
    case 1
        opt     =   'Tcopt';
        dir     =   [opt filesep dir filesep];
    case 2
        opt     =   'Nncopt';
        dir     =   [opt filesep dir filesep];
end
Nfile           =   length(FN);
%
for ff = 1:Nfile
    %
    load([dir FN{ff}]);

    Tcoh    =   sett.sig.Tc;
    B       =   sett.sig.B;
    CN0     =   sett.sens.CN0;
    M       =   sett.M;
    Mvis    =   sett.Mvis;
    NB      =   length(B);
    Nc      =   length(CN0);
    Nm      =   length(M);
    Nvis    =   length(Mvis);
    Tc      =   out.sens.Tcopt.Tc;
    Pd      =   out.sens.Tcopt.Pd;
    %
    for ii = 1:NB
        sett.sig.B              =   B(ii);
        for jj = 1:Nc
            sett.sens.CN0       =   CN0(jj);
            for k1 = 1:Nm
                sett.M          =   M(k1);
                for k2 = 1:Nvis
                    sett.Mvis   =   Mvis(k2);
                    out.sens.Tcopt.Tc   =  Tc(ii,jj,k1,k2); 
                    out.sens.Tcopt.Pd   =  Pd(ii,jj,k1,k2);
                    switch flgo
                        case 1
                            str         =   ['B' num2str(B(ii)/1e6) 'MHz_CN0' ...
                                             num2str(CN0(jj)) '_M' num2str(M(k1)) '_Mv'...
                                             num2str(Mvis(k2))];
                        case 2
                            str         =   ['Tc' num2str(Tcoh*1e3) 'ms_B' num2str(B(ii)/1e6) 'MHz_CN0' ...
                                             num2str(CN0(jj)) '_M' num2str(M(k1)) '_Mv'...
                                             num2str(Mvis(k2))];
                    end
                     save([dir1 filesep opt filesep 'B' num2str(B(ii)/1e6) 'MHz/out_Server_' ... 
                           str '.mat'],'out','sett','flg');
                end
            end
        end
    end
end
cd(dir1);
%