function    [Pr,S1,S2]  =   acqCSS(r,ck_dc,Nnc,Ncoh,B,flg)
%
    switch flg
        case 2
            ck_dc1  =   ck_dc.dc1;
            ck_dc2  =   ck_dc.dc2;
            ck_dcn1  =   ck_dc.dcn1;
            ck_dcn2  =   ck_dc.dcn2;
    end
    %
    Pr          =   zeros(Nnc,1);
    for ii = 1:Nnc
        %
        init        =   (ii-1)*Ncoh + 1;
        fin         =   ii*Ncoh;
        %
        sp1     =   r(init:fin).*ck_dc1(init:fin);      
        sn1     =   r(init:fin).*ck_dcn1(init:fin);    
        idx1    =   sp1 ~= 0;
        %
        [S1,~]  =   findPeaks_FFT(sp1(idx1),sn1(idx1),B,0);
        Nfft    =   length(S1.S);

        if( flg == 2 )
            sp2     =   r(init:fin).*ck_dc2(init:fin);
            sn2     =   r(init:fin).*ck_dcn2(init:fin);
            idx2    =   sp2 ~= 0;
            %
            [S2,~]  =   findPeaks_FFT(sp2(idx2),sn2(idx2),B,0);
            %
            Pp      =   (max(S1.S.^2) + max(S2.S.^2))/(2*Nfft);
            Pnn     =   (max(S1.Sn.^2) + max(S2.Sn.^2))/(2*Nfft);
            %
        end
        %
        Pr(ii)      =   (Pp + Pnn);
    end
    Pr              =   sum(Pr);


%
end








