%
%

function    [taumax,fDmax]  =   getLEOparams(set,flg)

    if ~flg.frmse
        %LEO LOW, cell size 300km
        if flg.comp
            taumax  =   1e-3;       
            fDmax   =   17.45e3;       
        else
            taumax  =   8.44e-3;
            fDmax   =   35.67e3;
        end   
    else
        if( flg.Muser ~= 0 )
            taumax  =   set.sig.Tc/(2*set.M);
            fDmax   =   (set.sig.B/set.sig.Tc)*taumax/2;
        else
            taumax  =   set.sig.Tc/2;
            fDmax   =   0*0.5*set.sig.B/2;
        end
    end


end