%   v1.0 # 03-oct-2020 
%
%   # SPCOMNAV-UAB #
%---------------------------------------------------------------------------------------------------- 
%-      initParamEstimation     %
%
if flgt
    if( M == 1 )
        fMuser          =   0;
    end
    %
    Nm                  =   length(M);
    if( fMuser == 0)
        set.tau         =   tau;
        set.fD          =   fD;  
    else
        tauh            =   zeros(M,1);
        if( Nm == 1 )
            set.tau     =   tau*ones(M,1);
        end
        %
        if( fMuser == 2 )
            Deltaf      =   Deltaf(:,1);
        end
    end
else
    %
    switch  fMuser
        case 1          %   Multi-Slope
            %
            s_dc            =   tmp.MU.r_dc;
            s_dcn           =   tmp.MU.r_dcn;  
            %
        case 2          %   Multi-DualSlope
            
            s_dc1            =   tmp.MU.r_dc1;
            s_dcn1           =   tmp.MU.r_dcn1;  
            s_dc2            =   tmp.MU.r_dc2;
            s_dcn2           =   tmp.MU.r_dcn2;  
            %
            s_dc.dc1        =   s_dc1;
            s_dc.dc2        =   s_dc2;
            s_dcn.dcn1      =   s_dcn1;
            s_dcn.dcn2      =   s_dcn2;
            %
        case 3          %   Multi-Frequency
            %
            s_dc            =   tmp.MU.r_dc(1,:);
            s_dcn           =   tmp.MU.r_dcn(1,:);  
            %
        otherwise
            %
            s_dc            =   tmp.dchirp.s_dc;
            s_dcn           =   tmp.dchirp.s_dcn;   
    end
    %
end
%